[expected-failures]
KHR-NoContext.es32.robustness.getnuniform = no longer using whitelist made of mustpass files
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec2 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec3 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec4 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_double = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_against_scalar_dvec3 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_against_scalar_dvec2 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_against_scalar_dvec4 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993

[expected-crashes]
GTF-GL46.gtf46
GTF-GL46.gtf45

[fixed-tests]
KHR-GL46.compute_shader.atomic-case2 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.shared-max = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.shared-struct = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.atomic-case3 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.resource-atomic-counter = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.resource-subroutine = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.shader_ballot_tests.ShaderBallotBitmasks = mesa b1a633d9fb077f1e024f5628ec2034d26cf681b7
KHR-GL46.direct_state_access.buffers_errors = mesa 2208d5a and removal of mustpass whitelists
KHR-GL46.gpu_shader_fp64.builtin.round_dvec2 = mesa 06807e1948f1bced9806b00908c892f1e3c3db5b
KHR-GL46.gpu_shader_fp64.builtin.roundeven_double = mesa 06807e1948f1bced9806b00908c892f1e3c3db5b
KHR-GL46.gpu_shader_fp64.builtin.roundeven_dvec2 = mesa 06807e1948f1bced9806b00908c892f1e3c3db5b
KHR-GL46.pipeline_statistics_query_tests_ARB.functional_fragment_shader_invocations = drm-tip kernel @ CI tag 6299
KHR-GL46.shader_ballot_tests.ShaderBallotAvailability = mesa 0ba508d7a3b6a006b5b8db1e865d33efc8d0abd5
KHR-GL46.direct_state_access.textures_image_query_errors = mesa cd02f60c1e9d0ef37e4defb8e6b00433990fd90c
KHR-GL33.shaders.struct.local.nested_struct_array_dynamic_index_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.dynamic_loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.nested_struct_array_dynamic_index_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.dynamic_loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL33.shaders.struct.local.loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.nested_struct_array_dynamic_index_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.dynamic_loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.nested_struct_array_dynamic_index_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.dynamic_loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.loop_nested_struct_array_vertex = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shaders.struct.local.loop_nested_struct_array_fragment = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.shading_language_420pack.length_of_vector_and_matrix = mesa a094928abcbab7f7e1d81704b616605a4521dc1a
KHR-GL46.gpu_shader_fp64.builtin.smoothstep_double = unblacklisted slow tests
KHR-GL46.gpu_shader_fp64.builtin.smoothstep_dvec2 = unblacklisted slow tests
KHR-GL46.gpu_shader_fp64.builtin.smoothstep_against_scalar_dvec2 = unblacklisted slow tests
KHR-GL46.gl_spirv.spirv_modules_shader_binary_multiple_shader_objects_test = mesa 2e8565beadafa2b141b74e79b4f51d8a252c01a4
KHR-GL46.spirv_extensions.spirv_extensions_queries = mesa 2e8565beadafa2b141b74e79b4f51d8a252c01a4
GTF-GL46.gtf32.GL3Tests.packed_pixels.packed_pixels = mesa e18cd5452aa4434fb22105eb939843381771b91c
GTF-GL46.gtf32.GL3Tests.packed_pixels.packed_pixels_pbo = mesa e18cd5452aa4434fb22105eb939843381771b91c
GTF-GL46.gtf32.GL3Tests.packed_pixels.packed_pixels_pixelstore = mesa e18cd5452aa4434fb22105eb939843381771b91c
KHR-GL46.gl_spirv.spirv_validation_builtin_variable_decorations_test = mesa 6b8cb087568699ca9a6e9e8b7bf49179e622b59f
KHR-GL46.direct_state_access.vertex_arrays_attribute_format = mesa 67718ca3520b3540dfe08840e6397613c439f5db
KHR-GL46.direct_state_access.vertex_arrays_attribute_format_errors = mesa 67718ca3520b3540dfe08840e6397613c439f5db
KHR-GL46.direct_state_access.textures_buffer_errors = mesa a2542deb63adb3b5536947bcf9610c0ceca9da28
KHR-GL46.direct_state_access.textures_buffer_range_errors = mesa a2542deb63adb3b5536947bcf9610c0ceca9da28
KHR-GL46.shader_group_vote.all_invocations = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.shader_group_vote.availability = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.shader_group_vote.any_invocation = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.gl_spirv.spirv_glsl_to_spirv_builtin_functions_test = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.direct_state_access.textures_parameter_setup_errors = glcts 77ccafb56a4dbad8859257c85a80a8802c62da59

